/*
 *  MyAssert.h
 *  DevUtility
 *
 *  Created by Fang-Pin Chang on Tue May 04 2004.
 *  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
 *
 */

#pragma once

#import <Foundation/NSException.h>

#define Assert_(condition, message, args...) \
	NSAssert((condition), \
		[NSString stringWithFormat : ([NSString stringWithFormat : @"(%s) %@", #condition, (message)]), ##args] \
		)
