//
//  StringUtility.h
//  DisplayImage
//
//  Created by Fang-Pin Chang on Sat Jan 24 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSString (StringUtility)

+ (NSString *) pathForExecutable : (NSString *) name;

+ (NSString *) pathForExecutable : (NSString *) name
					 searchPaths : (NSArray *) paths;

- (NSString *) allButLastPathComponent;

- (NSString *) firstPathComponent;

- (NSString *) stringByTrimmingLeadingCharacters : (NSCharacterSet *) characters;

- (NSString *) stringByTrimmingLeadingWhitespaces;

- (NSString *) stringByTrimmingTrailingCharacters : (NSCharacterSet *) characters;

- (NSString *) stringByTrimmingTrailingWhitespaces;

- (NSString *) stringByTrimmingWhitespaces;

- (NSString *) stringByTrimmingWhitespacesAndNewlines;

@end
